package im.zego.effects.sdkmanager.utils;

import android.content.Context;
import android.content.SharedPreferences;

public class EffectsSharedPreferencesUtil {

    public static final String VERSION = "effect_version";

    public static int getEffectVersion(Context context) {
        SharedPreferences sharedPreferences = context.getSharedPreferences("effects", Context.MODE_PRIVATE);
        return  sharedPreferences.getInt(VERSION,0);
    }

    public static void setEffectVersion(Context context, int value) {
        SharedPreferences sharedPreferences = context.getSharedPreferences("effects", Context.MODE_PRIVATE);
        SharedPreferences.Editor editor = sharedPreferences.edit();
        editor.putInt(VERSION,value);
        editor.apply();
    }

}
