package im.zego.liveshow;

public class Constants {

    public final static int MIC_CAMERA_CLOSE = 1; // 摄像头/麦克风 1：关闭  2:打开
    public final static int MIC_CAMERA_OPEN = 2; // 摄像头/麦克风 1：关闭  2:打开

    public final static int ROOM_ROLE_AUDIENCE = 1; // 观众
    public final static int ROOM_ROLE_HOST = 3; //主持人

    //1.mic操作  2. camera操作 3. 是否在台上（连麦状态）4. 被邀请连麦 5. 取消邀请连麦 6. 拒绝邀请连麦 7. 因为台上人数满上台失败
    public final static int OPERATION_TYPE_MIC = 1;
    public final static int OPERATION_TYPE_CAMERA = 2;
    public final static int OPERATION_TYPE_STAGE_STATE = 3;
    public final static int OPERATION_TYPE_INVITE = 4;
    public final static int OPERATION_TYPE_INVITE_CANCEL = 5;
    public final static int OPERATION_TYPE_INVITE_REFUSE = 6;
    public final static int OPERATION_TYPE_ONSTAGE_FULL = 7;

    //onstage_state  上台状态，1:在台下 2:在台上
    public final static int STATE_OFF_STAGE = 1;  //未连麦
    public final static int STATE_ON_STAGE = 2;   //已连麦
    public final static int STATE_INVITE_CON_MIC = 3;   //被邀请连麦


    //"action":1 // 1.申请 2.取消申请 3. 接受申请 4. 拒绝申请
    public final static int OPERATION_ACTION_APPLY = 1;
    public final static int OPERATION_ACTION_CANCEL = 2;
    public final static int OPERATION_ACTION_ACCEPT = 3;
    public final static int OPERATION_ACTION_REFUSE = 4;


    public final static String EFFECT_WHITE = "whitenEffectStrength"; // 美白
    public final static String EFFECT_SMOOTH = "smoothEffectStrength"; // 磨皮
    public final static String EFFECT_ROSY = "rosyEffectStrength"; // 红润
    public final static String EFFECT_SHARPEN = "sharpenEffectStrength"; // 锐化
    public final static String EFFECT_BIG_EYE = "bigEyeEffectStrength"; // 大眼
    public final static String EFFECT_FACE_LIFTING = "faceLiftingEffectStrength"; // 瘦脸
    public final static String EFFECT_SMALL_MOUTH = "smallMouthEffectStrength"; // 小嘴
    public final static String EFFECT_EYES_BRIGHTENING = "eyesBrighteningEffectStrength"; // 亮眼
    public final static String EFFECT_NOSE_NARROWING = "noseNarrowingEffectStrength"; // 瘦鼻
    public final static String EFFECT_TEETH_WHITENING = "teethWhiteningEffectStrength"; // 白牙
    public final static String EFFECT_LONG_CHIN = "longChinEffectStrength"; // 长下巴


}
