package im.zego.liveshow.manager.callbacks;

import java.util.List;
import im.zego.liveshow.model.StatefulListInfo;
import im.zego.liveshow.model.rtc.NotifyApplyMicStateInfo;

public interface INetworkOperationCallback {

    void audienceData(List<StatefulListInfo.AttendeeListDTO> audienceStatefulListInfo,int micType,boolean crashData); //观众信息的回调

    void hostData(List<StatefulListInfo.AttendeeListDTO> audienceStatefulListInfo,boolean crashData); //房主信息的回调

   void applyMicStateNotify(int action, NotifyApplyMicStateInfo notifyInfo); //房主端的申请连麦的状态回掉

    void inviteMicAudienc(StatefulListInfo.AttendeeListDTO info);

    void onlineNum();  //恢复网络后房间人数要重置

}
