package im.zego.liveshow.model;

import com.google.gson.annotations.SerializedName;

import java.util.List;

public class RoomListInfo {

    @SerializedName("room_list")
    private List<RoomListDTO> roomList;

    public List<RoomListDTO> getRoomList() {
        return roomList;
    }

    public void setRoomList(List<RoomListDTO> roomList) {
        this.roomList = roomList;
    }

    public static class RoomListDTO {

        @SerializedName("room_id")
        private String roomId;
        @SerializedName("subject")
        private String subject;
        @SerializedName("cover_img")
        private String coverImg;
        @SerializedName("online")
        private int online;;
        @SerializedName("stream_id")
        private String streamId;

        public String getRoomId() {
            return roomId;
        }

        public void setRoomId(String roomId) {
            this.roomId = roomId;
        }

        public String getSubject() {
            return subject;
        }

        public void setSubject(String subject) {
            this.subject = subject;
        }

        public String getCoverImg() {
            return coverImg;
        }

        public void setCoverImg(String coverImg) {
            this.coverImg = coverImg;
        }

        public int getOnline() {
            return online;
        }

        public void setOnline(int online) {
            this.online = online;
        }

        public String getStreamId() {
            return streamId;
        }

        public void setStreamId(String streamId) {
            this.streamId = streamId;
        }
    }
}
