package im.zego.liveshow.model;

import java.util.Objects;


public class UserInfo {



    private long uid;
    private String avatar;
    private String nickName;
    private int role; // 1、观众  3、主持人
    private long loginTimestamp;
    private long onstageTimestamp;
    private int mic;
    private int camera;
    private int onstageState; // 上台状态，1:在台下 2:在台上

    public UserInfo(){

    }

    public UserInfo(long uid,String avatar,String nickName,int role,long loginTimestamp,
                    long onstageTimestamp,int mic,int camera,int onstageState
                    ){

        this.uid = uid;
        this.avatar = avatar;
        this.nickName = nickName;
        this.role = role;
        this.loginTimestamp = loginTimestamp;
        this.onstageTimestamp = onstageTimestamp;
        this.mic = mic;
        this.camera = camera;
        this.onstageState = onstageState;

    }

    public long getUid() {
        return uid;
    }

    public void setUid(long uid) {
        this.uid = uid;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public int getRole() {
        return role;
    }

    public void setRole(int role) {
        this.role = role;
    }

    public long getLoginTimestamp() {
        return loginTimestamp;
    }

    public void setLoginTimestamp(long loginTimestamp) {
        this.loginTimestamp = loginTimestamp;
    }

    public long getOnstageTimestamp() {
        return onstageTimestamp;
    }

    public void setOnstageTimestamp(long onstageTimestamp) {
        this.onstageTimestamp = onstageTimestamp;
    }

    public int getMic() {
        return mic;
    }

    public void setMic(int mic) {
        this.mic = mic;
    }

    public int getCamera() {
        return camera;
    }

    public void setCamera(int camera) {
        this.camera = camera;
    }

    public int getOnstageState() {
        return onstageState;
    }

    public void setOnstageState(int onstageState) {
        this.onstageState = onstageState;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        UserInfo userInfo = (UserInfo) o;
        return Objects.equals(uid, userInfo.uid) &&
                Objects.equals(nickName, userInfo.nickName);
    }

    @Override
    public int hashCode() {
        return Objects.hash(uid, nickName);
    }
}
