package im.zego.liveshow.protocol;


import im.zego.liveshow.model.rtc.NotifyApplyMicStateInfo;
import im.zego.liveshow.model.rtc.NotifyRefuseApplyMicInfo;
import im.zego.liveshow.model.rtc.NotifyUserListUpdateInfo;
import im.zego.liveshow.model.rtc.NotifyUserStateUpdateInfo;

public interface IApplyMicStateNotifyCallback {
    void onApplyMicStateNotify(int action, NotifyApplyMicStateInfo notifyInfo);

    void onRefuseApplyMicNotify(NotifyRefuseApplyMicInfo notifyInfo);

    void onMyStageNotify(NotifyUserStateUpdateInfo.UsersDTO notifyInfo);

    void onAudienceListNotify(NotifyUserStateUpdateInfo notifyInfo);

    void onUserListUpdateNotify(NotifyUserListUpdateInfo notifyInfo);

    void onRoomCloseNotify();

    void onInviteMicNotify(NotifyUserStateUpdateInfo notifyInfo);
}
