package im.zego.liveshow.utils;

import java.util.Collections;
import java.util.Comparator;
import java.util.List;

import im.zego.liveshow.model.StatefulListInfo;

public class ListSortUtils {

    /**
     * 加入房间时间的排序
     * @param micList
     * @return
     */
    public static List<StatefulListInfo.AttendeeListDTO> listSorting(List<StatefulListInfo.AttendeeListDTO> micList) {
        Comparator<StatefulListInfo.AttendeeListDTO> comparator = new Comparator<StatefulListInfo.AttendeeListDTO>() {
            @Override
            public int compare(StatefulListInfo.AttendeeListDTO micList1, StatefulListInfo.AttendeeListDTO micList2) {
                //排序规则，按加入房间顺序排列
                if (micList1.getLoginTimestamp() > micList2.getLoginTimestamp())
                    return 1;
                else {
                    return -1;
                }
            }
        };
        //这里就会自动根据规则进行排序
        Collections.sort(micList, comparator);
        return micList;
    }


}
