package im.zego.gochat.model;

import com.google.gson.annotations.SerializedName;

import java.util.List;

public class RoomListInfo {

    @SerializedName("room_list")
    private List<RoomListDTO> roomList;

    public List<RoomListDTO> getRoomList() {
        return roomList;
    }

    public void setRoomList(List<RoomListDTO> roomList) {
        this.roomList = roomList;
    }

    public static class RoomListDTO {
        /**
         * room_id : 200113279
         * subject : 开黑
         * create_time : 1608186550647
         * creator_name : shawn
         * creator_id : 1608186550647
         * online_count : 1
         * speak_count : 1
         */

        @SerializedName("room_id")
        private String roomId;
        @SerializedName("subject")
        private String subject;
        @SerializedName("create_time")
        private long createTime;
        @SerializedName("creator_name")
        private String creatorName;
        @SerializedName("creator_id")
        private long creatorId;
        @SerializedName("online_count")
        private int onlineCount;
        @SerializedName("speak_count")
        private int speakCount;

        public String getRoomId() {
            return roomId;
        }

        public void setRoomId(String roomId) {
            this.roomId = roomId;
        }

        public String getSubject() {
            return subject;
        }

        public void setSubject(String subject) {
            this.subject = subject;
        }

        public long getCreateTime() {
            return createTime;
        }

        public void setCreateTime(long createTime) {
            this.createTime = createTime;
        }

        public String getCreatorName() {
            return creatorName;
        }

        public void setCreatorName(String creatorName) {
            this.creatorName = creatorName;
        }

        public long getCreatorId() {
            return creatorId;
        }

        public void setCreatorId(long creatorId) {
            this.creatorId = creatorId;
        }

        public int getOnlineCount() {
            return onlineCount;
        }

        public void setOnlineCount(int onlineCount) {
            this.onlineCount = onlineCount;
        }

        public int getSpeakCount() {
            return speakCount;
        }

        public void setSpeakCount(int speakCount) {
            this.speakCount = speakCount;
        }
    }
}
