package im.zego.gochat.roomlist.view;

import android.content.Context;
import android.content.res.Resources;
import android.graphics.Rect;
import android.view.View;

import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;

public class RoomListItemDecoration extends RecyclerView.ItemDecoration {

    private static int heightPx;


    public RoomListItemDecoration(int heightDp) {
        final float scale = Resources.getSystem().getDisplayMetrics().density;
        heightPx = (int) (heightDp * scale + 0.5f);

    }


    @Override
    public void getItemOffsets(Rect outRect, View view, RecyclerView parent,
                               RecyclerView.State state) {
        outRect.top = heightPx;
    }

}
