package im.zego.ktv.chorus.download.impl;

import im.zego.ktv.chorus.rtc.ZGKTVSongLoadState;

/**
 * 文件下载状态回调
 */
public interface FileDownloadStateListener {

    /**
     * 回调状态
     */
    void onDownloadState(ZGKTVSongLoadState state);

    /**
     * 下载进度
     */
    default void onDownloadProgress(float progress) {}

}
