package im.zego.ktv.chorus.model;

public class SongInfo {
    public final static String MUSIC_FORMAT_MP3 = "mp3";
    public final static String LYRICS_FORMAT = "lrc";
    private int mSongId;
    private String mSongName;
    private String mSinger;
    private String mFileName;
    public String mFileAssetsPath;
    private int mType;

    public SongInfo(int songId, String mSongName, String mSinger, String fileName, String format, int type) {
        mSongId = songId;
        this.mSongName = mSongName;
        this.mSinger = mSinger;
        mFileName = fileName;
        mType = type;
        if(type == 1) {
            mFileAssetsPath = mFileName + "-" + "原唱." + format;
        }else{
            mFileAssetsPath = mFileName + "-" + "伴奏." + format;
        }
    }

    public int getSongId() {
        return mSongId;
    }

    public String getSinger() {
        return mSinger;
    }

    public String getSongName() {
        return mSongName;
    }

    public String getFileName() {
        return mFileName;
    }

    public String getFileAssetsPath() {
        return mFileAssetsPath;
    }

    public int getType() {
        return mType;
    }
}
