package im.zego.ktv.chorus.model.ktv;

import com.google.gson.annotations.SerializedName;

import java.util.List;

public class SongCopyrightInfo {


    @SerializedName("copyright")
    private List<CopyrightDTO> copyright;

    public List<CopyrightDTO> getCopyright() {
        return copyright;
    }

    public void setCopyright(List<CopyrightDTO> copyright) {
        this.copyright = copyright;
    }

    public static class CopyrightDTO {
        @SerializedName("subright")
        private SubrightDTO subright;
        @SerializedName("right")
        private int right;
        @SerializedName("song_id")
        private String songId;

        public SubrightDTO getSubright() {
            return subright;
        }

        public void setSubright(SubrightDTO subright) {
            this.subright = subright;
        }

        public int getRight() {
            return right;
        }

        public void setRight(int right) {
            this.right = right;
        }

        public String getSongId() {
            return songId;
        }

        public void setSongId(String songId) {
            this.songId = songId;
        }

        public static class SubrightDTO {
            @SerializedName("song_lyric")
            private int songLyric;
            @SerializedName("recording")
            private int recording;
            @SerializedName("channel")
            private int channel;

            public int getSongLyric() {
                return songLyric;
            }

            public void setSongLyric(int songLyric) {
                this.songLyric = songLyric;
            }

            public int getRecording() {
                return recording;
            }

            public void setRecording(int recording) {
                this.recording = recording;
            }

            public int getChannel() {
                return channel;
            }

            public void setChannel(int channel) {
                this.channel = channel;
            }
        }
    }
}
