package im.zego.ktv.chorus.model.notify;

import com.google.gson.annotations.SerializedName;

import java.util.List;

public class NotifyOrderListUpdateInfo {


    @SerializedName("type")
    private int type;// 1：待播列表增加歌曲 2:取消歌 3:歌曲顺序变化 4: 当前播放歌曲发生切换 或就绪
    @SerializedName("songs")
    private List<SongsDTO> songs;

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public List<SongsDTO> getSongs() {
        return songs;
    }

    public void setSongs(List<SongsDTO> songs) {
        this.songs = songs;
    }

    public static class SongsDTO {
        @SerializedName("unique_id")
        private String uniqueId;
        @SerializedName("song_id")
        private String songId;
        @SerializedName("create_time")
        private long createTime;
        @SerializedName("order")
        private int order;
        @SerializedName("creator")
        private long creator;
        @SerializedName("creator_nick_name")
        private String creatorNickName;
        @SerializedName("share_token")
        private String shareToken;
        @SerializedName("krc_token")
        private String krcToken;
        @SerializedName("ready_status")
        private int readyStatus;

        public String getUniqueId() {
            return uniqueId;
        }

        public void setUniqueId(String uniqueId) {
            this.uniqueId = uniqueId;
        }

        public String getSongId() {
            return songId;
        }

        public void setSongId(String songId) {
            this.songId = songId;
        }

        public long getCreateTime() {
            return createTime;
        }

        public void setCreateTime(long createTime) {
            this.createTime = createTime;
        }

        public int getOrder() {
            return order;
        }

        public void setOrder(int order) {
            this.order = order;
        }

        public long getCreator() {
            return creator;
        }

        public void setCreator(long creator) {
            this.creator = creator;
        }

        public String getCreatorNickName() {
            return creatorNickName;
        }

        public void setCreatorNickName(String creatorNickName) {
            this.creatorNickName = creatorNickName;
        }

        public String getShareToken() {
            return shareToken;
        }

        public void setShareToken(String shareToken) {
            this.shareToken = shareToken;
        }

        public String getKrcToken() {
            return krcToken;
        }

        public void setKrcToken(String krcToken) {
            this.krcToken = krcToken;
        }

        public int getReadyStatus() {
            return readyStatus;
        }

        public void setReadyStatus(int readyStatus) {
            this.readyStatus = readyStatus;
        }
    }
}
