package im.zego.ktv.chorus.model.notify;

import com.google.gson.annotations.SerializedName;

public class NotifyRoomStateUpdateInfo {

    @SerializedName("type")
    private int type;
    @SerializedName("room_id")
    private String roomId;
    @SerializedName("subject")
    private String subject;
    @SerializedName("cur_song_id")
    private String curSongId;
    @SerializedName("cur_song_creator_id")
    private long curSongCreatorId;
    @SerializedName("cur_song_status")
    private int curSongStatus;
    @SerializedName("origin_play")
    private int originPlay;
    @SerializedName("create_time")
    private long createTime;
    @SerializedName("creator_name")
    private String creatorName;
    @SerializedName("creator_id")
    private long creatorId;
    @SerializedName("online_count")
    private int onlineCount;
    @SerializedName("cover_img")
    private String coverImg;
    @SerializedName("on_stage_count")
    private int onStageCount;
    @SerializedName("extra_info")
    private ExtraInfoDTO extraInfo;

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getRoomId() {
        return roomId;
    }

    public void setRoomId(String roomId) {
        this.roomId = roomId;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getCurSongId() {
        return curSongId;
    }

    public void setCurSongId(String curSongId) {
        this.curSongId = curSongId;
    }

    public long getCurSongCreatorId() {
        return curSongCreatorId;
    }

    public void setCurSongCreatorId(long curSongCreatorId) {
        this.curSongCreatorId = curSongCreatorId;
    }

    public int getCurSongStatus() {
        return curSongStatus;
    }

    public void setCurSongStatus(int curSongStatus) {
        this.curSongStatus = curSongStatus;
    }

    public int getOriginPlay() {
        return originPlay;
    }

    public void setOriginPlay(int originPlay) {
        this.originPlay = originPlay;
    }

    public long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(long createTime) {
        this.createTime = createTime;
    }

    public String getCreatorName() {
        return creatorName;
    }

    public void setCreatorName(String creatorName) {
        this.creatorName = creatorName;
    }

    public long getCreatorId() {
        return creatorId;
    }

    public void setCreatorId(long creatorId) {
        this.creatorId = creatorId;
    }

    public int getOnlineCount() {
        return onlineCount;
    }

    public void setOnlineCount(int onlineCount) {
        this.onlineCount = onlineCount;
    }

    public String getCoverImg() {
        return coverImg;
    }

    public void setCoverImg(String coverImg) {
        this.coverImg = coverImg;
    }

    public int getOnStageCount() {
        return onStageCount;
    }

    public void setOnStageCount(int onStageCount) {
        this.onStageCount = onStageCount;
    }

    public ExtraInfoDTO getExtraInfo() {
        return extraInfo;
    }

    public void setExtraInfo(ExtraInfoDTO extraInfo) {
        this.extraInfo = extraInfo;
    }

    public static class ExtraInfoDTO {
        @SerializedName("song_id")
        private String songId;
        @SerializedName("create_time")
        private long createTime;
        @SerializedName("order")
        private int order;
        @SerializedName("creator")
        private long creator;
        @SerializedName("creator_nick_name")
        private String creatorNickName;

        public String getSongId() {
            return songId;
        }

        public void setSongId(String songId) {
            this.songId = songId;
        }

        public long getCreateTime() {
            return createTime;
        }

        public void setCreateTime(long createTime) {
            this.createTime = createTime;
        }

        public int getOrder() {
            return order;
        }

        public void setOrder(int order) {
            this.order = order;
        }

        public long getCreator() {
            return creator;
        }

        public void setCreator(long creator) {
            this.creator = creator;
        }

        public String getCreatorNickName() {
            return creatorNickName;
        }

        public void setCreatorNickName(String creatorNickName) {
            this.creatorNickName = creatorNickName;
        }
    }
}
