package im.zego.ktv.chorus.protocol;

import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

import java.util.List;

public class JsonBuilder {
    private JSONObject jsonObject = new JSONObject();

    public <T> JsonBuilder addParams(String key, T value) {
        try {

            if(!(value instanceof List)){
                jsonObject.put(key, value);
            }else {
                JSONArray jsonArray = new JSONArray();

                List<Object> tempList = (List<Object>) value;
                for(Object object : tempList){
                    jsonArray.put(object);
                }
                jsonObject.put(key,jsonArray);
            }
        } catch (JSONException e) {
            e.printStackTrace();
        }
        return this;
    }

    public String build() {
        return jsonObject.toString();
    }
}

