package im.zego.ktv.chorus.rtc;

public enum ZGKTVSongLoadState {

    NO_LOAD(0),
    WAITING(1),
    LOADING(2),
    LOAD_COMPLETE(3),
    LOAD_ERROR(4);//加载异常

    private int value;

    private ZGKTVSongLoadState(int value) {
        this.value = value;
    }

    public int value() {
        return this.value;
    }

    public static ZGKTVSongLoadState getZGKTVSongLoadState(int value) {
        try {
            if (NO_LOAD.value == value) {
                return NO_LOAD;
            } else if (WAITING.value == value) {
                return WAITING;
            } else if (LOADING.value == value) {
                return LOADING;
            } else if (LOAD_COMPLETE.value == value) {
                return LOAD_COMPLETE;
            } else {
                return LOAD_ERROR.value == value ? LOAD_ERROR : null;
            }
        } catch (Exception e) {
            throw new RuntimeException("The enumeration cannot be found");
        }
    }

}
