package im.zego.liveshow;

public class ErrorcodeConstants {


    public final static int ERROR_REQUEST_HAVE_INVALID_PARAMETERS = 80001; // 错误的参数
    public final static int ERROR_ROOM_NOT_EXIST                  = 80002; // 房间不存在
    public final static int ERROR_ROOM_FULL                       = 80003; // 房间人已满
    public final static int ERROR_ALREADY_IN_ROOM                 = 80004; // 用户已经在房间内
    public final static int ERROR_SPEAKING_COUNT_TOUCH_LIMIT      = 80005; // 上麦人数已到上限
    public final static int ERROR_ALREADY_SPEAKING                = 80006; //  已经上麦
    public final static int ERROR_GET_ROOM_ACCESS_CODE            = 80007; // 获得房间码失败
    public final static int ERROR_CLEAR_ROOM                      = 80008; //  清理房间失败
    public final static int ERROR_SEND_MESSAGE_TO_ROOM            = 80009; // 发送房间消息失败
    public final static int ERROR_USER_HAS_NO_PERM                = 80010; //用户无权进行更改
    public final static int ERROR_USER_NOT_IN_ROOM                = 80011; //目标用户不在会议房间
    public final static int ERROR_USER_OFF_LINE                   = 80012; //用户不在线
    public final static int ERROR_JOIN_LIVE_ALREADY_JOINED        = 80013; // 已连麦
    public final static int ERROR_JOIN_LIVE_INVALID_INVITE_TOKEN   = 80014; // 无效的 invite token

    public final static int ERROR_SYSTEM_ERROR = 100000;  //系统错误
    public final static int ERROR_PANIC_ERROR  = 100001;  //程序出错


    public final static int ERROR_RTC_SDK_NOT_INITIALIZED = 5000001;    // RTC SDK - 尚未初始化
    public final static int ERROR_RTC_SDK_INVALID_USERID = 5000002;     // RTC SDK - 用户ID无效
    public final static int ERROR_RTC_SDK_NOT_IN_ROOM = 5000003;    // RTC SDK - 尚未进入房间

    public static final int ErrorJSONFormatInvalid = -1;
    public static final int ErrorFailNetwork = -2;

}
