package im.zego.liveshow.liveroom.utils;

import android.net.ConnectivityManager;
import android.net.Network;
import androidx.annotation.NonNull;
import im.zego.liveshow.manager.NetWorkConManager;

/**
 * 网络状态的变更
 */
public class NetworkCallbackImpl extends ConnectivityManager.NetworkCallback{

    @Override
    public void onAvailable(@NonNull Network network) {
        super.onAvailable(network);
        //网络已经连接
        NetWorkConManager.getInstance().networState(true);
    }

    @Override
    public void onLost(@NonNull Network network) {
        super.onLost(network);
        //网络已经断开连接
    }
}
