package im.zego.liveshow.model;

import com.google.gson.annotations.SerializedName;

public class RoomInfo {


    @SerializedName("room_info")
    private RoomInfoDTO roomInfo;
    @SerializedName("user_info")
    private UserInfoDTO userInfo;

    public RoomInfoDTO getRoomInfo() {
        return roomInfo;
    }

    public void setRoomInfo(RoomInfoDTO roomInfo) {
        this.roomInfo = roomInfo;
    }

    public UserInfo getUserInfo() {
        return new UserInfo(userInfo.uid,userInfo.avatar,userInfo.nickName,userInfo.role,userInfo.loginTimestamp,
                userInfo.onstageTimestamp,userInfo.mic,userInfo.camera,userInfo.onstageState);
    }

    public void setUserInfo(UserInfoDTO userInfo) {
        this.userInfo = userInfo;
    }

    public static class RoomInfoDTO {
        @SerializedName("room_id")
        private String roomId;
        @SerializedName("subject")
        private String subject;
        @SerializedName("cover_img")
        private String coverImg;
        @SerializedName("host_id")
        private long hostId;
        @SerializedName("create_time")
        private long createTime;

        public String getRoomId() {
            return roomId;
        }

        public void setRoomId(String roomId) {
            this.roomId = roomId;
        }

        public String getSubject() {
            return subject;
        }

        public void setSubject(String subject) {
            this.subject = subject;
        }

        public String getCoverImg() {
            return coverImg;
        }

        public void setCoverImg(String coverImg) {
            this.coverImg = coverImg;
        }

        public long getHostId() {
            return hostId;
        }

        public void setHostId(long hostId) {
            this.hostId = hostId;
        }

        public long getCreateTime() {
            return createTime;
        }

        public void setCreateTime(long createTime) {
            this.createTime = createTime;
        }
    }

    public static class UserInfoDTO {
        @SerializedName("uid")
        private long uid;
        @SerializedName("avatar")
        private String avatar;
        @SerializedName("nick_name")
        private String nickName;
        @SerializedName("role")
        private int role;
        @SerializedName("login_timestamp")
        private long loginTimestamp;
        @SerializedName("onstage_timestamp")
        private int onstageTimestamp;
        @SerializedName("mic")
        private int mic;
        @SerializedName("camera")
        private int camera;
        @SerializedName("onstage_state")
        private int onstageState;

        public long getUid() {
            return uid;
        }

        public void setUid(long uid) {
            this.uid = uid;
        }

        public String getAvatar() {
            return avatar;
        }

        public void setAvatar(String avatar) {
            this.avatar = avatar;
        }

        public String getNickName() {
            return nickName;
        }

        public void setNickName(String nickName) {
            this.nickName = nickName;
        }

        public int getRole() {
            return role;
        }

        public void setRole(int role) {
            this.role = role;
        }

        public long getLoginTimestamp() {
            return loginTimestamp;
        }

        public void setLoginTimestamp(long loginTimestamp) {
            this.loginTimestamp = loginTimestamp;
        }

        public int getOnstageTimestamp() {
            return onstageTimestamp;
        }

        public void setOnstageTimestamp(int onstageTimestamp) {
            this.onstageTimestamp = onstageTimestamp;
        }

        public int getMic() {
            return mic;
        }

        public void setMic(int mic) {
            this.mic = mic;
        }

        public int getCamera() {
            return camera;
        }

        public void setCamera(int camera) {
            this.camera = camera;
        }

        public int getOnstageState() {
            return onstageState;
        }

        public void setOnstageState(int onstageState) {
            this.onstageState = onstageState;
        }
    }
}
