package im.zego.liveshow.model;

import com.google.gson.annotations.SerializedName;

import java.util.List;

public class StatefulListInfo {


    @SerializedName("attendee_list_seq")
    private int attendeeListSeq;
    @SerializedName("gb_personal_state_seq")
    private int gbPersonalStateSeq;
    @SerializedName("attendee_list")
    private List<AttendeeListDTO> attendeeList;
    @SerializedName("invited_list")
    private List<AttendeeListDTO> invitedList;
    @SerializedName("req_list")
    private List<AttendeeListDTO> reqList;

    public int getAttendeeListSeq() {
        return attendeeListSeq;
    }

    public void setAttendeeListSeq(int attendeeListSeq) {
        this.attendeeListSeq = attendeeListSeq;
    }

    public int getGbPersonalStateSeq() {
        return gbPersonalStateSeq;
    }

    public void setGbPersonalStateSeq(int gbPersonalStateSeq) {
        this.gbPersonalStateSeq = gbPersonalStateSeq;
    }

    public List<AttendeeListDTO> getAttendeeList() {
        return attendeeList;
    }

    public void setAttendeeList(List<AttendeeListDTO> attendeeList) {
        this.attendeeList = attendeeList;
    }

    public List<AttendeeListDTO> getInvitedList() {
        return invitedList;
    }

    public void setInvitedList(List<AttendeeListDTO> invitedList) {
        this.invitedList = invitedList;
    }

    public List<AttendeeListDTO> getReqList() {
        return reqList;
    }

    public void setReqList(List<AttendeeListDTO> reqList) {
        this.reqList = reqList;
    }

    public static class AttendeeListDTO {
        @SerializedName("uid")
        private long uid;
        @SerializedName("avatar")
        private String avatar;
        @SerializedName("nick_name")
        private String nickName;
        @SerializedName("role")
        private int role;
        @SerializedName("login_timestamp")
        private long loginTimestamp;
        @SerializedName("onstage_timestamp")
        private long onstageTimestamp;
        @SerializedName("mic")
        private int mic;
        @SerializedName("camera")
        private int camera;
        @SerializedName("onstage_state")
        private int onstageState;

        public long getUid() {
            return uid;
        }

        public void setUid(long uid) {
            this.uid = uid;
        }

        public String getAvatar() {
            return avatar;
        }

        public void setAvatar(String avatar) {
            this.avatar = avatar;
        }

        public String getNickName() {
            return nickName;
        }

        public void setNickName(String nickName) {
            this.nickName = nickName;
        }

        public int getRole() {
            return role;
        }

        public void setRole(int role) {
            this.role = role;
        }

        public long getLoginTimestamp() {
            return loginTimestamp;
        }

        public void setLoginTimestamp(long loginTimestamp) {
            this.loginTimestamp = loginTimestamp;
        }

        public long getOnstageTimestamp() {
            return onstageTimestamp;
        }

        public void setOnstageTimestamp(long onstageTimestamp) {
            this.onstageTimestamp = onstageTimestamp;
        }

        public int getMic() {
            return mic;
        }

        public void setMic(int mic) {
            this.mic = mic;
        }

        public int getCamera() {
            return camera;
        }

        public void setCamera(int camera) {
            this.camera = camera;
        }

        public int getOnstageState() {
            return onstageState;
        }

        public void setOnstageState(int onstageState) {
            this.onstageState = onstageState;
        }


        public UserInfo getUserInfo(){
            return new UserInfo(uid,avatar,nickName,role,loginTimestamp,onstageTimestamp,mic,camera,onstageState);
        }

    }
}
