package im.zego.liveshow.model;

import im.zego.liveshow.R;

public class VoiceChangeInfo {

    public static final int[] voiceChangeUnselect = new int[]{R.drawable.liveshow_voice_none_unselect, R.drawable.liveshow_loli_unselect, R.drawable.liveshow_uncle_unselect,
            R.drawable.liveshow_robot_unselect, R.drawable.liveshow_music_ethereal_unselect};

    public static final int[] voiceChangeSelect = new int[]{R.drawable.liveshow_voice_none_select, R.drawable.liveshow_loli_select, R.drawable.liveshow_uncle_select,
            R.drawable.liveshow_robot_select, R.drawable.liveshow_music_ethereal_select};

    private String voiceName;
    private int voiceIconSelect;
    private int voiceIconUnSelect;

    public String getVoiceName() {
        return voiceName;
    }

    public VoiceChangeInfo setVoiceName(String voiceName) {
        this.voiceName = voiceName;
        return this;
    }

    public int getVoiceIconSelect() {
        return voiceIconSelect;
    }

    public VoiceChangeInfo setVoiceIconSelect(int voiceIconSelect) {
        this.voiceIconSelect = voiceIconSelect;
        return this;
    }

    public int getVoiceIconUnSelect() {
        return voiceIconUnSelect;
    }

    public VoiceChangeInfo setVoiceIconUnSelect(int voiceIconUnSelect) {
        this.voiceIconUnSelect = voiceIconUnSelect;
        return this;
    }
}
