package im.zego.liveshow.model.rtc;

import com.google.gson.annotations.SerializedName;

import java.util.List;

/**
 * 成员列表变更通知
 */
public class NotifyUserListUpdateInfo {

    @SerializedName("online_num")
    private Integer onlineNum;
    @SerializedName("users")
    private List<UsersDTO> users;

    public Integer getOnlineNum() {
        return onlineNum;
    }

    public void setOnlineNum(Integer onlineNum) {
        this.onlineNum = onlineNum;
    }

    public List<UsersDTO> getUsers() {
        return users;
    }

    public void setUsers(List<UsersDTO> users) {
        this.users = users;
    }

    public static class UsersDTO {
        @SerializedName("uid")
        private long uid;
        @SerializedName("nick_name")
        private String nickName;
        @SerializedName("seq")
        private Integer seq;
        @SerializedName("delta")
        private Integer delta;

        public long getUid() {
            return uid;
        }

        public void setUid(long uid) {
            this.uid = uid;
        }

        public String getNickName() {
            return nickName;
        }

        public void setNickName(String nickName) {
            this.nickName = nickName;
        }

        public Integer getSeq() {
            return seq;
        }

        public void setSeq(Integer seq) {
            this.seq = seq;
        }

        public Integer getDelta() {
            return delta;
        }

        public void setDelta(Integer delta) {
            this.delta = delta;
        }
    }
}
