package im.zego.liveshow.model.rtc;

import com.google.gson.annotations.SerializedName;

import java.util.List;

/**
 *
 * 成员状态变更通知
 */
public class NotifyUserStateUpdateInfo {


    @SerializedName("operator_uid")
    private long operatorUid;
    @SerializedName("operator_name")
    private String operatorName;
    @SerializedName("type")
    private Integer type;//1.mic变化 2.cameara 变化 3.连麦状态变化
    @SerializedName("gb_personal_state_seq")
    private Integer gbPersonalStateSeq;
    @SerializedName("users")
    private List<UsersDTO> users;

    @SerializedName("extra")
    private String extra;

    public long getOperatorUid() {
        return operatorUid;
    }

    public void setOperatorUid(long operatorUid) {
        this.operatorUid = operatorUid;
    }

    public String getOperatorName() {
        return operatorName;
    }

    public void setOperatorName(String operatorName) {
        this.operatorName = operatorName;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getGbPersonalStateSeq() {
        return gbPersonalStateSeq;
    }

    public void setGbPersonalStateSeq(Integer gbPersonalStateSeq) {
        this.gbPersonalStateSeq = gbPersonalStateSeq;
    }

    public List<UsersDTO> getUsers() {
        return users;
    }

    public void setUsers(List<UsersDTO> users) {
        this.users = users;
    }

    public String getExtra() {
        return extra;
    }

    public void setExtra(String extra) {
        this.extra = extra;
    }

    public static class UsersDTO {
        @SerializedName("uid")
        private long uid;
        @SerializedName("avatar")
        private String avatar;
        @SerializedName("nick_name")
        private String nickName;
        @SerializedName("role")
        private Integer role;
        @SerializedName("login_timestamp")
        private long loginTimestamp;
        @SerializedName("onstage_timestamp")
        private long onstageTimestamp;
        @SerializedName("mic")
        private Integer mic;
        @SerializedName("camera")
        private Integer camera;
        @SerializedName("onstage_state")
        private Integer onstageState;

        public long getUid() {
            return uid;
        }

        public void setUid(long uid) {
            this.uid = uid;
        }

        public void setLoginTimestamp(long loginTimestamp) {
            this.loginTimestamp = loginTimestamp;
        }

        public long getOnstageTimestamp() {
            return onstageTimestamp;
        }

        public void setOnstageTimestamp(long onstageTimestamp) {
            this.onstageTimestamp = onstageTimestamp;
        }

        public String getAvatar() {
            return avatar;
        }

        public void setAvatar(String avatar) {
            this.avatar = avatar;
        }

        public String getNickName() {
            return nickName;
        }

        public void setNickName(String nickName) {
            this.nickName = nickName;
        }

        public Integer getRole() {
            return role;
        }

        public void setRole(Integer role) {
            this.role = role;
        }

        public long getLoginTimestamp() {
            return loginTimestamp;
        }

        public Integer getMic() {
            return mic;
        }

        public void setMic(Integer mic) {
            this.mic = mic;
        }

        public Integer getCamera() {
            return camera;
        }

        public void setCamera(Integer camera) {
            this.camera = camera;
        }

        public Integer getOnstageState() {
            return onstageState;
        }

        public void setOnstageState(Integer onstageState) {
            this.onstageState = onstageState;
        }
    }
}
