package im.zego.liveshow.utils;

import android.content.Context;
import android.content.SharedPreferences;

import im.zego.common.model.LoginInfo;

public class SharedPreferencesUtil {

    public static final String FIRST_ENTER_HINT_COVER = "first_enter_hint_cover";
    public static final String FIRST_OUT_SIDE_HINT_COVER = "first_out_side_hint_cover";

    private static final String DEFAULT_SP = "liveshow";


    private static Context mApplication;

    public static void init(Context context)
    {
        mApplication = context;
    }


    private static SharedPreferences getSharedPreferences(String spFileName) {
        return mApplication.getSharedPreferences(spFileName, Context.MODE_PRIVATE);
    }

    public static void setFirstEnterHintCover(boolean isFirst) {
        SharedPreferences sharedPreferences = getSharedPreferences(DEFAULT_SP);
        sharedPreferences.edit().putBoolean(FIRST_ENTER_HINT_COVER, isFirst).commit();
    }

    public static void setFirstOutSideHintCover(boolean isFirst) {
        SharedPreferences sharedPreferences = getSharedPreferences(DEFAULT_SP);
        sharedPreferences.edit().putBoolean(FIRST_OUT_SIDE_HINT_COVER, isFirst).commit();
    }

    //暂时关闭
    public static boolean getFirstEnterHintCover() {
//        SharedPreferences sharedPreferences = getSharedPreferences(DEFAULT_SP);
//        return sharedPreferences.getBoolean(FIRST_ENTER_HINT_COVER, true);
        return false;
    }

    //暂时关闭
    public static boolean getFirstOutSideHintCover() {
//        SharedPreferences sharedPreferences = getSharedPreferences(DEFAULT_SP);
//        return sharedPreferences.getBoolean(FIRST_OUT_SIDE_HINT_COVER, true);
        return false;
    }

}
