package im.zego.common.proxy;

import android.app.Application;
import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.util.Log;
import android.view.View;
import android.widget.ImageView;

//import im.zego.gologin.GoLoginManager;
//import im.zego.gologin.advertise.GoAdImageView;
//import im.zego.gologin.login.GoWebViewActivity;
//import im.zego.gologin.utils.GoLoginConfig;
//import im.zego.gologin.custom.dialog.CommonDialog;
//import im.zego.gologin.utils.ToastUtil;

public class LoginManagerProxy {

    private static volatile LoginManagerProxy singleton = null;

    private LoginManagerProxy(){

    }

    public static LoginManagerProxy getInstance() {
        if (singleton == null) {
            synchronized (LoginManagerProxy.class) {
                if (singleton == null) {
                    singleton = new LoginManagerProxy();
                }
            }
        }
        return singleton;
    }

    public LoginManagerProxy initIntent(Intent intent) {
//        GoLoginManager.getInstance().initIntent(intent);
        return this;
    }

    public LoginManagerProxy setLoginConfig(Application application){
//        GoLoginConfig goLoginConfig = new GoLoginConfig().setApplication(application)
//                .setLoadingBlack(true) //开屏颜色 黑色/白色
//                .setNeedInformation(false)  //是否需要设置个人数据
//                .setAppFrom(GoLoginConfig.APP_GOENJOY)//设置当前的app 类型
//                .setAlphaEnv(false);
//        GoLoginManager.getInstance().setLoginConfig(goLoginConfig);
        return this;
    }

    public void logout(Context context) {
//        GoLoginManager.getInstance().logout(context);
    }

    public void cancelAccount(Context context) {
//        GoLoginManager.getInstance().cancelAccount(context);
    }

    public void showCancelAccountDialog(final Activity activity) {
//        final CommonDialog commonDialog = new CommonDialog(activity);
//        commonDialog.setTitleMsg("注销后，您将无法使用当前账户，请谨慎考虑");
//        commonDialog.setCancelContent("暂不注销");
//        commonDialog.setSureContent("确定注销");
//        commonDialog.setCancelListener(new View.OnClickListener() {
//            @Override
//            public void onClick(View v) {
//                commonDialog.dismiss();//对话框消失
//            }
//        });
//        commonDialog.setSureListener(new View.OnClickListener() {
//            @Override
//            public void onClick(View v) {
//                commonDialog.dismiss();//对话框消失
//                LoginManagerProxy.getInstance().cancelAccount(activity);
//            }
//        });
    }


    public void showLogoutAccountDialog(final Activity activity) {
//        final CommonDialog commonDialog = new CommonDialog(activity);
//        commonDialog.setTitleMsg("确定要退出登录吗？");
//        commonDialog.setCancelContent("取消");
//        commonDialog.setSureContent("退出登录");
//        commonDialog.setCancelListener(new View.OnClickListener() {
//            @Override
//            public void onClick(View v) {
//                commonDialog.dismiss();//对话框消失
//            }
//        });
//        commonDialog.setSureListener(new View.OnClickListener() {
//            @Override
//            public void onClick(View v) {
//                //退出该模块，返回到login模块中
//                commonDialog.dismiss();//对话框消失
//                ToastUtil.showNormalToast(activity,"退出成功");
//                LoginManagerProxy.getInstance().logout(activity);
//            }
//        });
    }

    public void startWebViewActivity(Activity activity,String url,String title){
//        GoWebViewActivity.jumpActivity(activity,url,title);
    }

    public ImageView getAdvertiseImageView(Context context){
        final ImageView advertiseImageView = new ImageView(context);
//
//        final GoAdImageView advertiseImageView = new GoAdImageView(context);
//        //初始化广告位
//        advertiseImageView.startImageLoad(new GoAdImageView.IGoAdImageDisplayCompletionCallback() {
//            @Override
//            public void onSuccess() {
//                Log.d("MainSettingActivity_ad","onSuccess");
//                advertiseImageView.setVisibility(View.VISIBLE);
//            }
//
//            @Override
//            public void onFailure(int errorCode) {
//                Log.d("MainSettingActivity_ad","onFailure:"+errorCode);
//            }
//        });
        return advertiseImageView;
    }


}