package im.zego.common.util;

import android.content.Context;
import android.util.TypedValue;

public class MiscUtils {

    public static int dp2px(Context context, float dpValue) {
        return (int) TypedValue.applyDimension(TypedValue.COMPLEX_UNIT_DIP, dpValue, context.getResources().getDisplayMetrics());
    }

    /**
     * 返回状态栏的高度，单位是px
     */
    public static int getStatusBarHeight(Context  context) {
        int height = 0;
        int resourceId =
                context.getResources().getIdentifier("status_bar_height", "dimen", "android");

        if (resourceId > 0) {
            height = context.getResources().getDimensionPixelSize(resourceId);
        }

        return height;
    }

}
