package im.zego.gochat.permission;

import androidx.fragment.app.FragmentManager;

import im.zego.gochat.custom.ZegoMeetingDialog;

public class AppSettingDialog {
    public static ZegoMeetingDialog showMeetingDialog(FragmentManager fm, String title, String rationale, String positiveText,
                                                      String negativeText, ZegoMeetingDialog.DialogClickListener dialogClickListener){
        ZegoMeetingDialog dialog=ZegoMeetingDialog.newInstance(title,rationale);
        dialog.setLeftBtnString(negativeText);
        dialog.setRightBtnString(positiveText);
        dialog.setDialogClickListener(dialogClickListener);
        dialog.show(fm, null);
        return  dialog;
    }
}
