package im.zego.gochat.protocol;

import org.json.JSONException;
import org.json.JSONObject;

public class JsonBuilder {
    private JSONObject jsonObject = new JSONObject();

    public <T> JsonBuilder addParams(String key, T value) {
        try {
            jsonObject.put(key, value);
        } catch (JSONException e) {
            e.printStackTrace();
        }
        return this;
    }

    public String build() {
        return jsonObject.toString();
    }
}

