package im.zego.ktv.chorus.model;

import com.google.gson.annotations.SerializedName;

import java.util.List;

public class OrderedSongInfo {

    @SerializedName("songs_list")
    private List<OrderedSongItemInfo> songList;

    public static class OrderedSongItemInfo implements Comparable<OrderedSongItemInfo>{


        @SerializedName("unique_id")
        private String uniqueId;
        @SerializedName("song_id")
        private String songId;
        @SerializedName("create_time")
        private long createTime;
        @SerializedName("order")
        private int order;
        @SerializedName("creator")
        private long creator;
        @SerializedName("creator_nick_name")
        private String creatorNickName;
        @SerializedName("share_token")
        private String shareToken;
        @SerializedName("krc_token")
        private String krcToken;

        private String songName;
        private String albumImageUri;
        private int readyStatus;

        public String getUniqueId() {
            return uniqueId;
        }

        public void setUniqueId(String uniqueId) {
            this.uniqueId = uniqueId;
        }

        public String getSongId() {
            return songId;
        }

        public void setSongId(String songId) {
            this.songId = songId;
        }

        public long getCreateTime() {
            return createTime;
        }

        public void setCreateTime(long createTime) {
            this.createTime = createTime;
        }

        public int getOrder() {
            return order;
        }

        public void setOrder(int order) {
            this.order = order;
        }

        public long getCreator() {
            return creator;
        }

        public void setCreator(long creator) {
            this.creator = creator;
        }

        public String getCreatorNickName() {
            return creatorNickName;
        }

        public void setCreatorNickName(String creatorNickName) {
            this.creatorNickName = creatorNickName;
        }

        public String getShareToken() {
            return shareToken;
        }

        public void setShareToken(String shareToken) {
            this.shareToken = shareToken;
        }

        public String getKrcToken() {
            return krcToken;
        }

        public void setKrcToken(String krcToken) {
            this.krcToken = krcToken;
        }

        public String getSongName() {
            return songName;
        }

        public void setSongName(String songName) {
            this.songName = songName;
        }

        public String getAlbumImageUri() {
            return albumImageUri;
        }

        public void setAlbumImageUri(String albumImageUri) {
            this.albumImageUri = albumImageUri;
        }

        public int getReadyStatus() {
            return readyStatus;
        }

        public void setReadyStatus(int readyStatus) {
            this.readyStatus = readyStatus;
        }

        @Override
        public int compareTo(OrderedSongItemInfo o) {
            return   this.order - o.order;
        }

    }

    public List<OrderedSongItemInfo> getSongList() {
        return songList;
    }

    public void setSongList(List<OrderedSongItemInfo> songList) {
        this.songList = songList;
    }
}
