package im.zego.ktv.chorus.model;

import com.google.gson.annotations.SerializedName;

public class RoomInfo {


    @SerializedName("room_id")
    private String roomId;
    @SerializedName("subject")
    private String subject;
    @SerializedName("creator_id")
    private long creatorId;
    @SerializedName("creator_name")
    private String creatorName;
    @SerializedName("create_time")
    private long createTime;
    @SerializedName("origin_play")
    private int originPlay;
    @SerializedName("song_info")
    private SongInfoDTO songInfo;//如果当前没有正在播放的歌曲则没有该字段
    @SerializedName("cover_img")
    private String coverImg;

    public String getRoomId() {
        return roomId;
    }

    public void setRoomId(String roomId) {
        this.roomId = roomId;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public long getCreatorId() {
        return creatorId;
    }

    public void setCreatorId(long creatorId) {
        this.creatorId = creatorId;
    }

    public String getCreatorName() {
        return creatorName;
    }

    public void setCreatorName(String creatorName) {
        this.creatorName = creatorName;
    }

    public long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(long createTime) {
        this.createTime = createTime;
    }

    public int getOriginPlay() {
        return originPlay;
    }

    public void setOriginPlay(int originPlay) {
        this.originPlay = originPlay;
    }

    public SongInfoDTO getSongInfo() {
        return songInfo;
    }

    public void setSongInfo(SongInfoDTO songInfo) {
        this.songInfo = songInfo;
    }

    public String getCoverImg() {
        return coverImg;
    }

    public void setCoverImg(String coverImg) {
        this.coverImg = coverImg;
    }

    public static class SongInfoDTO {
        @SerializedName("unique_id")
        private String uniqueId;
        @SerializedName("song_id")
        private String songId;
        @SerializedName("create_time")
        private long createTime;
        @SerializedName("order")
        private int order;
        @SerializedName("creator")
        private long creator;
        @SerializedName("creator_nick_name")
        private String creatorNickName;
        @SerializedName("share_token")
        private String shareToken;
        @SerializedName("krc_token")
        private String krcToken;
        @SerializedName("ready_status")
        private int readyStatus;

        public String getUniqueId() {
            return uniqueId;
        }

        public void setUniqueId(String uniqueId) {
            this.uniqueId = uniqueId;
        }

        public String getSongId() {
            return songId;
        }

        public void setSongId(String songId) {
            this.songId = songId;
        }

        public long getCreateTime() {
            return createTime;
        }

        public void setCreateTime(long createTime) {
            this.createTime = createTime;
        }

        public int getOrder() {
            return order;
        }

        public void setOrder(int order) {
            this.order = order;
        }

        public long getCreator() {
            return creator;
        }

        public void setCreator(long creator) {
            this.creator = creator;
        }

        public String getCreatorNickName() {
            return creatorNickName;
        }

        public void setCreatorNickName(String creatorNickName) {
            this.creatorNickName = creatorNickName;
        }

        public String getShareToken() {
            return shareToken;
        }

        public void setShareToken(String shareToken) {
            this.shareToken = shareToken;
        }

        public String getKrcToken() {
            return krcToken;
        }

        public void setKrcToken(String krcToken) {
            this.krcToken = krcToken;
        }

        public int getReadyStatus() {
            return readyStatus;
        }

        public void setReadyStatus(int readyStatus) {
            this.readyStatus = readyStatus;
        }
    }
}
