package im.zego.ktv.chorus.model.ktv;

import com.google.gson.annotations.SerializedName;

import java.util.List;

public class PlaylistCategoryInfo {


    @SerializedName("groups")
    private List<GroupsDTO> groups;

    public List<GroupsDTO> getGroups() {
        return groups;
    }

    public void setGroups(List<GroupsDTO> groups) {
        this.groups = groups;
    }

    public static class GroupsDTO {
        @SerializedName("group_id")
        private String groupId;
        @SerializedName("group_name")
        private String groupName;
        @SerializedName("categories")
        private List<CategoriesDTO> categories;

        public String getGroupId() {
            return groupId;
        }

        public void setGroupId(String groupId) {
            this.groupId = groupId;
        }

        public String getGroupName() {
            return groupName;
        }

        public void setGroupName(String groupName) {
            this.groupName = groupName;
        }

        public List<CategoriesDTO> getCategories() {
            return categories;
        }

        public void setCategories(List<CategoriesDTO> categories) {
            this.categories = categories;
        }

        public static class CategoriesDTO {
            @SerializedName("category_id")
            private String categoryId;
            @SerializedName("category_name")
            private String categoryName;

            public String getCategoryId() {
                return categoryId;
            }

            public void setCategoryId(String categoryId) {
                this.categoryId = categoryId;
            }

            public String getCategoryName() {
                return categoryName;
            }

            public void setCategoryName(String categoryName) {
                this.categoryName = categoryName;
            }
        }
    }
}
