package im.zego.ktv.chorus.model.ktv;

import com.google.gson.annotations.SerializedName;

import java.util.List;

public class PlaylistClassifyInfo {


    @SerializedName("playlists")
    private List<PlaylistsDTO> playlists;

    public List<PlaylistsDTO> getPlaylists() {
        return playlists;
    }

    public void setPlaylists(List<PlaylistsDTO> playlists) {
        this.playlists = playlists;
    }

    public static class PlaylistsDTO {
        @SerializedName("playlist_id")
        private String playlistId;
        @SerializedName("playlist_name")
        private String playlistName;
        @SerializedName("pic")
        private String pic;
        @SerializedName("update_time")
        private String updateTime;
        @SerializedName("create_time")
        private String createTime;
        @SerializedName("play_count")
        private int playCount;

        public String getPlaylistId() {
            return playlistId;
        }

        public void setPlaylistId(String playlistId) {
            this.playlistId = playlistId;
        }

        public String getPlaylistName() {
            return playlistName;
        }

        public void setPlaylistName(String playlistName) {
            this.playlistName = playlistName;
        }

        public String getPic() {
            return pic;
        }

        public void setPic(String pic) {
            this.pic = pic;
        }

        public String getUpdateTime() {
            return updateTime;
        }

        public void setUpdateTime(String updateTime) {
            this.updateTime = updateTime;
        }

        public String getCreateTime() {
            return createTime;
        }

        public void setCreateTime(String createTime) {
            this.createTime = createTime;
        }

        public int getPlayCount() {
            return playCount;
        }

        public void setPlayCount(int playCount) {
            this.playCount = playCount;
        }
    }
}
