package im.zego.ktv.chorus.model.ktv;

import com.google.gson.annotations.SerializedName;

import java.util.List;

import im.zego.ktv.chorus.rtc.ZGKTVSongLoadState;

public class TopSongInfo {


    @SerializedName("total")
    private int total;
    @SerializedName("songs")
    private List<SongsDTO> songs;

    public int getTotal() {
        return total;
    }

    public void setTotal(int total) {
        this.total = total;
    }

    public List<SongsDTO> getSongs() {
        return songs;
    }

    public void setSongs(List<SongsDTO> songs) {
        this.songs = songs;
    }

    public static class SongsDTO {

        @SerializedName("singer_img")
        private String singerImg;
        @SerializedName("album_img")
        private String albumImg;
        @SerializedName("album_img_mini")
        private String albumImgMini;
        @SerializedName("album_img_small")
        private String albumImgSmall;
        @SerializedName("album_img_medium")
        private String albumImgMedium;
        @SerializedName("has_accompany")
        private int hasAccompany;
        @SerializedName("song_id")
        private String songId;
        @SerializedName("song_name")
        private String songName;
        @SerializedName("singer_id")
        private String singerId;
        @SerializedName("singer_name")
        private String singerName;
        @SerializedName("album_id")
        private String albumId;
        @SerializedName("album_name")
        private String albumName;
        @SerializedName("is_vip_song")
        private int isVipSong;
        @SerializedName("duration")
        private long duration;
        @SerializedName("song_lyric")
        private int songLyric;
        @SerializedName("recording")
        private int recording;

        @SerializedName("copyright")
        private CopyrightData copyright;


        private int loadState = ZGKTVSongLoadState.NO_LOAD.value();  //标志该歌曲的下载状态

        public String getSingerImg() {
            return singerImg;
        }

        public void setSingerImg(String singerImg) {
            this.singerImg = singerImg;
        }

        public String getAlbumImg() {
            return albumImg;
        }

        public void setAlbumImg(String albumImg) {
            this.albumImg = albumImg;
        }

        public String getAlbumImgMini() {
            return albumImgMini;
        }

        public void setAlbumImgMini(String albumImgMini) {
            this.albumImgMini = albumImgMini;
        }

        public String getAlbumImgSmall() {
            return albumImgSmall;
        }

        public void setAlbumImgSmall(String albumImgSmall) {
            this.albumImgSmall = albumImgSmall;
        }

        public String getAlbumImgMedium() {
            return albumImgMedium;
        }

        public void setAlbumImgMedium(String albumImgMedium) {
            this.albumImgMedium = albumImgMedium;
        }

        public int getHasAccompany() {
            return hasAccompany;
        }

        public void setHasAccompany(int hasAccompany) {
            this.hasAccompany = hasAccompany;
        }

        public String getSongId() {
            return songId;
        }

        public void setSongId(String songId) {
            this.songId = songId;
        }

        public String getSongName() {
            return songName;
        }

        public void setSongName(String songName) {
            this.songName = songName;
        }

        public String getSingerId() {
            return singerId;
        }

        public void setSingerId(String singerId) {
            this.singerId = singerId;
        }

        public String getSingerName() {
            return singerName;
        }

        public void setSingerName(String singerName) {
            this.singerName = singerName;
        }

        public String getAlbumId() {
            return albumId;
        }

        public void setAlbumId(String albumId) {
            this.albumId = albumId;
        }

        public String getAlbumName() {
            return albumName;
        }

        public void setAlbumName(String albumName) {
            this.albumName = albumName;
        }

        public int getIsVipSong() {
            return isVipSong;
        }

        public void setIsVipSong(int isVipSong) {
            this.isVipSong = isVipSong;
        }

        public long getDuration() {
            return duration;
        }

        public void setDuration(long duration) {
            this.duration = duration;
        }

        public int getSongLyric() {
            return songLyric;
        }

        public void setSongLyric(int songLyric) {
            this.songLyric = songLyric;
        }

        public int getRecording() {
            return recording;
        }

        public void setRecording(int recording) {
            this.recording = recording;
        }

        public int getLoadState() {
            return loadState;
        }

        public void setLoadState(int loadState) {
            this.loadState = loadState;
        }

        public CopyrightData getCopyright() {
            return copyright;
        }

        public void setCopyright(CopyrightData copyright) {
            this.copyright = copyright;
        }
    }


    public static class CopyrightData{

        @SerializedName("song_lyric")
        private int songLyric;
        @SerializedName("channel")
        private int channel;

        public int getSongLyric() {
            return songLyric;
        }

        public void setSongLyric(int songLyric) {
            this.songLyric = songLyric;
        }

        public int getChannel() {
            return channel;
        }

        public void setChannel(int channel) {
            this.channel = channel;
        }
    }
}
