package im.zego.ktv.chorus.rtc;



public enum ZGKTVSongState {

    NO_LOAD(0),
    LOADING(1),
    NO_PLAY(2),
    PLAYING(3),
    PAUSING(4),
    PLAY_ENDED(5);

    private int value;

    private ZGKTVSongState(int value) {
        this.value = value;
    }

    public int value() {
        return this.value;
    }

    public static ZGKTVSongState getZGKTVSongState(int value) {
        try {
            if (NO_LOAD.value == value) {
                return NO_LOAD;
            } else if (LOADING.value == value) {
                return LOADING;
            } else if (NO_PLAY.value == value) {
                return NO_PLAY;
            } else if (PLAYING.value == value) {
                return PLAYING;
            } else if (PAUSING.value == value) {
                return PAUSING;
            } else {
                return PLAY_ENDED.value == value ? PLAY_ENDED : null;
            }
        } catch (Exception e) {
            throw new RuntimeException("The enumeration cannot be found");
        }
    }
}
