package im.zego.ktv.chorus.rtc.callbacks;

import im.zego.zegoexpress.constants.ZegoMediaPlayerState;
import im.zego.zegoexpress.entity.ZegoNetworkTimeInfo;

public interface IMediaPlayerEventCallback {
    /**
     * mediaPlayer播放进度回调
     */
    void onMediaPlayerPlayingProgress(long millis, ZegoNetworkTimeInfo zegoNetworkTimeInfo);

    /**
     * mediaPlayer播放状态回调
     */
    void onMediaPlayerStateUpdate(ZegoMediaPlayerState state);

    /**
     * mediaPlayer播放状态回调
     */
    void onMediaPlayerLoadStatus(int  errCode);

}
