package im.zego.ktv.chorus.rtc.model;

import com.google.gson.annotations.SerializedName;

import java.util.List;

public class ZGKTVRequestSong {


    @SerializedName("code")
    private int code;
    @SerializedName("message")
    private String message;
    @SerializedName("request_id")
    private String requestId;
    @SerializedName("data")
    private DataDTO data;

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getRequestId() {
        return requestId;
    }

    public void setRequestId(String requestId) {
        this.requestId = requestId;
    }

    public DataDTO getData() {
        return data;
    }

    public void setData(DataDTO data) {
        this.data = data;
    }

    public static class DataDTO {

        @SerializedName("has_original")
        private int hasOriginal;
        @SerializedName("is_accompany")
        private int isAccompany;
        @SerializedName("song_id")
        private String songId;
        @SerializedName("duration")
        private long duration;
        @SerializedName("krc_token")
        private String krcToken;
        @SerializedName("krc_token_ttl")
        private long tokenTtl;
        @SerializedName("resources_size")
        private int resourcesSize;
        @SerializedName("resources")
        private List<ResourcesDTO> resources;

        public int getHasOriginal() {
            return hasOriginal;
        }

        public void setHasOriginal(int hasOriginal) {
            this.hasOriginal = hasOriginal;
        }

        public int getIsAccompany() {
            return isAccompany;
        }

        public void setIsAccompany(int isAccompany) {
            this.isAccompany = isAccompany;
        }

        public String getSongId() {
            return songId;
        }

        public void setSongId(String songId) {
            this.songId = songId;
        }

        public long getDuration() {
            return duration;
        }

        public void setDuration(long duration) {
            this.duration = duration;
        }

        public String getKrcToken() {
            return krcToken;
        }

        public void setKrcToken(String krcToken) {
            this.krcToken = krcToken;
        }

        public long getTokenTtl() {
            return tokenTtl;
        }

        public void setTokenTtl(long tokenTtl) {
            this.tokenTtl = tokenTtl;
        }

        public int getResourcesSize() {
            return resourcesSize;
        }

        public void setResourcesSize(int resourcesSize) {
            this.resourcesSize = resourcesSize;
        }

        public List<ResourcesDTO> getResources() {
            return resources;
        }

        public void setResources(List<ResourcesDTO> resources) {
            this.resources = resources;
        }

        public static class ResourcesDTO {
            @SerializedName("resource_id")
            private String resourceId;
            @SerializedName("size")
            private int size;
            @SerializedName("quality")
            private String quality;
            @SerializedName("share_token")
            private String shareToken;

            public String getResourceId() {
                return resourceId;
            }

            public void setResourceId(String resourceId) {
                this.resourceId = resourceId;
            }

            public int getSize() {
                return size;
            }

            public void setSize(int size) {
                this.size = size;
            }

            public String getQuality() {
                return quality;
            }

            public void setQuality(String quality) {
                this.quality = quality;
            }

            public String getShareToken() {
                return shareToken;
            }

            public void setShareToken(String shareToken) {
                this.shareToken = shareToken;
            }
        }
    }
}
