package im.zego.ktv.custom;


import android.content.Context;
import android.util.AttributeSet;
import android.view.View;
import android.widget.FrameLayout;

import androidx.annotation.Nullable;
import androidx.constraintlayout.widget.ConstraintLayout;

import im.zego.ktv.R;


public class KTVLoadMoreView extends FrameLayout {

    private ConstraintLayout mClLoadingMore;

    public KTVLoadMoreView(Context context) {
        this(context, null);
    }

    public KTVLoadMoreView(Context context, @Nullable AttributeSet attrs) {
        this(context, attrs, 0);
    }

    public KTVLoadMoreView(Context context, @Nullable AttributeSet attrs, int defStyleAttr) {
        super(context, attrs, defStyleAttr);
        View view = View.inflate(context, R.layout.ktv_load_more_song, this);
        mClLoadingMore = view.findViewById(R.id.cl_loading_more);
        LayoutParams layoutParams = new LayoutParams(new MarginLayoutParams(LayoutParams.MATCH_PARENT, LayoutParams.WRAP_CONTENT));
        view.setLayoutParams(layoutParams);
    }

    public void showLoading() {
        mClLoadingMore.setVisibility(VISIBLE);
    }

    public void showFinish() {
        mClLoadingMore.setVisibility(GONE);
    }


}
