package im.zego.pitchview;

import android.graphics.Color;

public class ZegoPitchViewUIConfig {

    private int standardPitchColor = Color.parseColor("#FF5D3B94");  // 默认音高线颜色
    private int hitPitchColor = Color.parseColor("#FF3751");  // 击中音高线颜色
    private int pitchIndicatorColor = Color.parseColor("#FFFFFF");  // 音调指示器颜色
    private int staffColor = Color.parseColor("#33FFFFFF"); //五线谱横线颜色
    private int verticalLineColor = Color.parseColor("#FFA87BF1"); //竖线颜色
    private int scoreTextColor = Color.WHITE; //分数文本颜色

    public int getStandardPitchColor() {
        return standardPitchColor;
    }

    public void setStandardPitchColor(int standardPitchColor) {
        this.standardPitchColor = standardPitchColor;
    }

    public int getHitPitchColor() {
        return hitPitchColor;
    }

    public void setHitPitchColor(int hitPitchColor) {
        this.hitPitchColor = hitPitchColor;
    }

    public int getPitchIndicatorColor() {
        return pitchIndicatorColor;
    }

    public void setPitchIndicatorColor(int pitchIndicatorColor) {
        this.pitchIndicatorColor = pitchIndicatorColor;
    }

    public int getStaffColor() {
        return staffColor;
    }

    public void setStaffColor(int staffColor) {
        this.staffColor = staffColor;
    }

    public int getVerticalLineColor() {
        return verticalLineColor;
    }

    public void setVerticalLineColor(int verticalLineColor) {
        this.verticalLineColor = verticalLineColor;
    }

    public int getScoreTextColor() {
        return scoreTextColor;
    }

    public void setScoreTextColor(int scoreTextColor) {
        this.scoreTextColor = scoreTextColor;
    }
}

