package im.zego.pitchview.model;
import com.google.gson.annotations.SerializedName;

import java.util.List;

public class ZGKTVPitch {


    @SerializedName("message")
    private String message;
    @SerializedName("code")
    private int code;
    @SerializedName("data")
    private DataModel data;

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public DataModel getData() {
        return data;
    }

    public void setData(DataModel data) {
        this.data = data;
    }

    public static class DataModel {
        @SerializedName("pitch")
        private List<DataModel.PitchModel> pitch;

        public List<DataModel.PitchModel> getPitch() {
            return pitch;
        }

        public void setPitch(List<DataModel.PitchModel> pitch) {
            this.pitch = pitch;
        }

        public static class PitchModel {
            @SerializedName("begin_time")
            private long beginTime;
            @SerializedName("duration")
            private long duration;
            @SerializedName("value")
            private int value;

            public long getBeginTime() {
                return beginTime;
            }

            public void setBeginTime(long beginTime) {
                this.beginTime = beginTime;
            }

            public long getDuration() {
                return duration;
            }

            public void setDuration(long duration) {
                this.duration = duration;
            }

            public int getValue() {
                return value;
            }

            public void setValue(int value) {
                this.value = value;
            }
        }
    }
}
